<?php
/**
 * The update view file of bonus module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Tao Lv <lvtao@cnezsoft.com>
 * @package     commission
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<form id='ajaxForm' method='post' action='<?php echo inlink('edit', "id={$bonus->id}");?>'>
  <table class="table table-bordered table-hover">
    <thead>
      <tr class='text-center bg-gray-pale'>
        <th class='w-80px'><?php echo $lang->bonus->account;?></th>
        <th class='w-120px'><?php echo $lang->bonus->performance;?></th>
        <th class='w-120px'><?php echo $lang->bonus->name;?></th>
        <th class='w-120px'><?php echo $lang->bonus->bonus;?></th>
        <th class='w-50px'></th>
      </tr>
    </thead>
    <?php $bonusData = json_decode($bonus->bonus);?>
    <?php if(!$bonusData):?>
    <tr class='text-center text-middle' name='line-1'>
      <td><?php echo $user->realname;?></td>
      <td><?php echo html::input('performance', $bonus->performance, "class='form-control'");?></td>
      <td><?php echo html::input('names[]', '', "class='form-control'");?></td>
      <td><?php echo html::input('bonus[]', '', "class='form-control'");?></td>
      <td>
        <span class='input-group-btn'><a href='javascript:;' class='btn btn-default addItem' onclick='addItem(this)'><i class='icon-plus'></i></a></span>
        <span class='input-group-btn'><a href='javascript:;' class='btn btn-default delItem disabled' onclick='delItem(this)'><i class='icon-remove'></i></a></span>
      </td>
    </tr>
    <?php else:?>
    <?php $rowspan = count((array)$bonusData);?>
    <?php $count = 1;?>
    <?php foreach($bonusData as $name => $amount):?>
    <tr class='text-center text-middle' name='line-1'>
      <?php if($count == 1):?>
      <td rowspan='<?php echo $rowspan;?>'><?php echo $user->realname;?></td>
      <td rowspan='<?php echo $rowspan;?>'><?php echo html::input('performance', $bonus->performance, "class='form-control'");?></td>
      <?php endif;?>
      <td><?php echo html::input('names[]', $name, "class='form-control'");?></td>
      <td><?php echo html::input('bonus[]', $amount, "class='form-control'");?></td>
      <td>
        <span class='input-group-btn'><a href='javascript:;' class='btn btn-default addItem' onclick='addItem(this)'><i class='icon-plus'></i></a></span>
        <span class='input-group-btn'><a href='javascript:;' class='btn btn-default delItem <?php echo $count == 1 ? 'disabled' : '' ;?>' onclick='delItem(this)'><i class='icon-remove'></i></a></span>
      </td>
    </tr>
    <?php $count ++;?>
    <?php endforeach;?>
    <?php endif;?>
  </table>
  <div class='form-actions text-center'><?php echo html::submitButton()?></div>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
